<?php
/**
 * @package     DOCman
 * @copyright   Copyright (C) 2019 Timble CVBA (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

namespace Foliolabs\Docman\Admin;

use Foliolabs\Component\Base;

/**
 * Tag controller permissions
 */
class ControllerPermissionConfigure extends Base\ControllerPermissionAbstract
{
    public function canAdd()
    {
        return $this->canDelete();
    }

    public function canEdit()
    {
        return $this->canDelete();
    }

    public function canRender()
    {
        return $this->canDelete();
    }

    public function canDelete()
    {
        return $this->getMixer()->getUser()->canConfigure();
    }
}